#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatunpitchablespeed (kpart) ##########

tde_add_kpart( noatunpitchablespeed AUTOMOC
  SOURCES pitchablespeed.cpp speedtuner.ui
  LINK artskde-shared tdeio-shared artsmoduleseffects noatun noatunarts m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE pitchablespeed.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
  PO_DIR noatun-plugins-desktops
)
